package cn.com.qmth.print.manage.service.query;

import cn.com.qmth.print.manage.enums.RoleMeta;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;

@Validated
public class UserQuery extends BaseQuery {

    private static final long serialVersionUID = 3260496142491163981L;

    private Long userId;

    private RoleMeta role;

    @NotNull
    private boolean enable;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public RoleMeta getRole() {
        return role;
    }

    public void setRole(RoleMeta role) {
        this.role = role;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }
}
